Debian Bug report logs - #400952
portmap: Should start earlier

version graph

Package: portmap; Maintainer for portmap is Anibal Monsalve Salazar <anibal@debian.org>;

Reported by: Mark Brown <broonie@sirena.org.uk>

Date: Wed, 29 Nov 2006 20:18:01 UTC

Severity: normal

Found in version portmap/5-21

Fixed in version portmap/6.0-0

Done: Anibal Monsalve Salazar <anibal@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#400952; Package portmap. Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@sirena.org.uk>:
New Bug report received and forwarded. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@sirena.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: portmap: Should start earlier
Date: Wed, 29 Nov 2006 20:04:00 +0000
Package: portmap
Version: 5-21
Severity: normal

Could you please move portmap earler in the startup sequence so that NIS
could start earlier?  As far as I can see portmap shouldn't depend on
other services so this should be safe.

There are long standing problems with the ordering of NIS vs. autofs:
autofs should start before S20 so other things running at S20 can access
automounted directories but autofs is traditionally used in conjunction
with NIS which runs at S19 (and can't run earlier due to needing
portmap which runs at S18).  During the Etch development process autofs
was changed to start at S19 but this now breaks use with NIS maps.

Filed with severity normal rather than wishlist since this will allow
resolution of problems in other packages.

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: powerpc (ppc)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-1-powerpc
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)

Versions of packages portmap depends on:
ii  debconf [debconf-2.0]        1.5.9       Debian configuration management sy
ii  libc6                        2.3.6.ds1-8 GNU C Library: Shared libraries
ii  libwrap0                     7.6.dbs-11  Wietse Venema's TCP wrappers libra
ii  lsb-base                     3.1-22      Linux Standard Base 3.1 init scrip

portmap recommends no packages.

-- debconf-show failed



Blocking bugs of 400664 added: 400952 Request was from broonie@sirena.org.uk (Mark Brown) to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Mark Brown <broonie@sirena.org.uk>:
Bug#400952. Full text and rfc822 format available.

Message #10 received at 400952-submitter@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: 400952-submitter@bugs.debian.org
Subject: Comments on the possibility of starting portmap earlier in multi-user runlevels
Date: Thu, 7 Dec 2006 11:16:23 +0100
[Message part 1 (text/plain, inline)]
Hi there,

As for the suggestion of moving portmap to have it started earlier in the
boot sequence (maybe S17 instead of S18) I don't think that would be an issue
but I don't think it would be a good move to do now that portmap is frozen
and we are close to the deep freeze.

If I understand it correctly you are suggesting (I'm putting more packages in
the list so the global picture is clearer) moving portmap from S18 in r2-5 to
S17. Let's see:

runlevel S
[ scripts get executed once, before going single or multiuser ]
- S39 - ifupdown
- S40 - networking
- S43 - portmap
- S45 - mountnfs

runlevels 2,3,4 and 5
[ multi-user ]
- S17 - portmap (move from current location in S18 as being there would
        mean it got started *after* nis, due to alphabetical order)
- S18 - nis
- S19 - autofs
- S20 - inetd (which might provide RPC services)
- S20 - nfs-kernel-server
- S21 - nfs-common (starts rpc.lockd and rpc.statd)
- S21 - fam
- S25 - nfs-user-server

runlevel 1
[ single-user ]
- K19 - autofs
- K20 - inetd
- K21 - fam 
- K25 - nfs-user-server
- K79 - nfs-common (stops rpc.lockd and rpc.statd)
- K79 - nfs-kernel-server
- K81 - portmap

Quite sincerily, I don't see why it should not work currently. Portmap is
started *before* nis and autofs (in runlevel S, S43) before going multi-user,
so it really doesn't matter if it's started in S18 or S17 in multi-user
runlevels. It is only an issue if the system goes to runlevel 1 and then
back to runlevel 2-5 (because of an error in the startup sequence or
because the admin manually changed runlevels).

If all the scripts in Debian had LSB dependencies [1] we could assess the
real consequences of that change (and make sure that no inconsistencies were
being introduced).

I'm OK for making the change (S18->S17 in multiuser runlevels) but I'm
concerned on the impact to other things in Etch...


Regards

Javier

[1] http://wiki.debian.org/LSBInitScripts
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#400952; Package portmap. Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@debian.org>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #15 received at 400952@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: 400952@bugs.debian.org
Subject: Re: Bug#400952: Comments on the possibility of starting portmap earlier in multi-user runlevels
Date: Thu, 7 Dec 2006 13:02:24 +0000
On Thu, Dec 07, 2006 at 11:16:23AM +0100, Javier Fern??ndez-Sanguino Pe??a wrote:

> As for the suggestion of moving portmap to have it started earlier in the
> boot sequence (maybe S17 instead of S18) I don't think that would be an issue
> but I don't think it would be a good move to do now that portmap is frozen
> and we are close to the deep freeze.

It's unfortunately relatively common to use autofs in conjunction with
NIS maps.

> Quite sincerily, I don't see why it should not work currently. Portmap is
> started *before* nis and autofs (in runlevel S, S43) before going multi-user,
> so it really doesn't matter if it's started in S18 or S17 in multi-user

Like you say, this is only a problem when changing runlevels after the
initial boot since portmap is also started from rcS.d but that's still
an issue and I don't want to introduce a something that's obviously a
regression in that case if I can avoid it.

> I'm OK for making the change (S18->S17 in multiuser runlevels) but I'm
> concerned on the impact to other things in Etch...

The reason that this has come up is that there has already been a change
in autofs (and has been for much of the release cycle).

-- 
"You grabbed my hand and we fell into it, like a daydream - or a fever."



Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#400952; Package portmap. Full text and rfc822 format available.

Acknowledgement sent to Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #20 received at 400952@bugs.debian.org (full text, mbox):

From: Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>
To: 341140@bugs.debian.org, 400952@bugs.debian.org
Cc: Mark Brown <broonie@debian.org>, BTS Control Bot <control@bugs.debian.org>
Subject: Re: rc order of portmap,nis,autofs
Date: Fri, 5 Jan 2007 02:27:35 +0100
[Message part 1 (text/plain, inline)]
block 341140 by 400952
thankyou

Hi Anibal and Javier,

I (as the new maintainer of autofs) would like to have the issue settled
before Etch is released... what consequences do you fear could arise from
moving the script? The present situation forces all users of nis&autofs
to manually shuffle their init scripts around, and this is a very common
setup... Moving autofs to start later (i.e. at 20) is probably unwise (as
explained earlier), although this seems to be what most users currently
do as a workaround.

Maybe we should talk with the release team to get this in? Or are you
opposed to get this change into Etch?


Regards,

Jan
[signature.asc (application/pgp-signature, inline)]

Blocking bugs of 341140 added: 400952 Request was from Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#400952; Package portmap. Full text and rfc822 format available.

Acknowledgement sent to "Steinar H. Gunderson" <sgunderson@bigfoot.com>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #27 received at 400952@bugs.debian.org (full text, mbox):

From: "Steinar H. Gunderson" <sgunderson@bigfoot.com>
To: Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>, 341140@bugs.debian.org
Cc: 400952@bugs.debian.org, Mark Brown <broonie@debian.org>
Subject: Re: Bug#341140: rc order of portmap,nis,autofs
Date: Fri, 5 Jan 2007 03:21:07 +0100
On Fri, Jan 05, 2007 at 02:27:35AM +0100, Jan Christoph Nordholz wrote:
> I (as the new maintainer of autofs) would like to have the issue settled
> before Etch is released... what consequences do you fear could arise from
> moving the script? The present situation forces all users of nis&autofs
> to manually shuffle their init scripts around, and this is a very common
> setup... Moving autofs to start later (i.e. at 20) is probably unwise (as
> explained earlier), although this seems to be what most users currently
> do as a workaround.

FWIW, the solution I more-or-less decided upon before giving away autofs was
to simply figure out a name that was after 19nis and before 20apache.
195autofs should do, for instance, or 20Autofs.

/* Steinar */
-- 
Homepage: http://www.sesse.net/



Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#400952; Package portmap. Full text and rfc822 format available.

Acknowledgement sent to Aníbal Monsalve Salazar <anibal@debian.org>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #32 received at 400952@bugs.debian.org (full text, mbox):

From: Aníbal Monsalve Salazar <anibal@debian.org>
To: debian-release@lists.debian.org
Cc: Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>, Javier Fernandez-Sanguino Peña <jfs@debian.org>, Mark Brown <broonie@debian.org>, 400952@bugs.debian.org, 341140@bugs.debian.org
Subject: Re: Bug#400952: rc order of portmap,nis,autofs
Date: Fri, 5 Jan 2007 13:28:46 +1100
[Message part 1 (text/plain, inline)]
On Fri, Jan 05, 2007 at 02:27:35AM +0100, Jan Christoph Nordholz wrote:
>block 341140 by 400952
>thankyou
>
>Hi Anibal and Javier,
>
>I (as the new maintainer of autofs) would like to have the issue
>settled before Etch is released... what consequences do you fear
>could arise from moving the script?

That's something we don't know.

>The present situation forces all users of nis&autofs to manually
>shuffle their init scripts around, and this is a very common
>setup... Moving autofs to start later (i.e. at 20) is probably
>unwise (as explained earlier), although this seems to be what most
>users currently do as a workaround.
>
>Maybe we should talk with the release team to get this in?

If the release team approves that change we'll change portmap to
start at S17 as already suggested by Javier, see #400952 [0].

[0] http://bugs.debian.org/400952

>Or are you opposed to get this change into Etch?
>
>Regards,
>
>Jan

Best Regards,

Aníbal Monsalve Salazar
-- 
http://v7w.com/anibal
[signature.asc (application/pgp-signature, inline)]

Blocking bugs of 315615 added: 400952 Request was from Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#400952; Package portmap. Full text and rfc822 format available.

Acknowledgement sent to anibal@debian.org, hesso@pool.math.tu-berlin.de, debian-release@lists.debian.org, 400952@bugs.debian.org, 341140@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #39 received at 400952@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: An?bal Monsalve Salazar <anibal@debian.org>
Cc: debian-release@lists.debian.org, Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>, Javier Fernandez-Sanguino Pe?a <jfs@debian.org>, Mark Brown <broonie@debian.org>, 400952@bugs.debian.org, 341140@bugs.debian.org
Subject: Re: Bug#400952: rc order of portmap,nis,autofs
Date: Wed, 24 Jan 2007 18:28:01 +0100
On Fri, Jan 05, 2007 at 01:28:46PM +1100, An?bal Monsalve Salazar wrote:
> On Fri, Jan 05, 2007 at 02:27:35AM +0100, Jan Christoph Nordholz wrote:
> >block 341140 by 400952
> >thankyou
> >
> >Hi Anibal and Javier,
> >
> >I (as the new maintainer of autofs) would like to have the issue
> >settled before Etch is released... what consequences do you fear
> >could arise from moving the script?
> 
> That's something we don't know.

So, that's something we don't want to do, certainly not at this stage of
the release cycle.

> >The present situation forces all users of nis&autofs to manually
> >shuffle their init scripts around, and this is a very common
> >setup... Moving autofs to start later (i.e. at 20) is probably
> >unwise (as explained earlier), although this seems to be what most
> >users currently do as a workaround.
> >
> >Maybe we should talk with the release team to get this in?
> 
> If the release team approves that change we'll change portmap to
> start at S17 as already suggested by Javier, see #400952 [0].

What's wrong with Steinar's suggestion to change the name of the autofs
script to be something between 19nis and 20apache?

Cheers

Luk

-- 
Luk Claes - http://people.debian.org/~luk - GPG key 1024D/9B7C328D
Fingerprint:   D5AF 25FB 316B 53BB 08E7   F999 E544 DE07 9B7C 328D



Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#400952; Package portmap. Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@debian.org>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #44 received at 400952@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: anibal@debian.org, hesso@pool.math.tu-berlin.de, debian-release@lists.debian.org, 400952@bugs.debian.org, 341140@bugs.debian.org
Cc: Javier Fernandez-Sanguino Pe?a <jfs@debian.org>
Subject: Re: Bug#400952: rc order of portmap,nis,autofs
Date: Wed, 24 Jan 2007 20:05:54 +0000
[Message part 1 (text/plain, inline)]
On Wed, Jan 24, 2007 at 06:28:01PM +0100, Luk Claes wrote:

> What's wrong with Steinar's suggestion to change the name of the autofs
> script to be something between 19nis and 20apache?

It's gross but it should work.  At this late stage in the release cycle
it looks like the best option.

-- 
"You grabbed my hand and we fell into it, like a daydream - or a fever."
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#400952; Package portmap. Full text and rfc822 format available.

Acknowledgement sent to Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #49 received at 400952@bugs.debian.org (full text, mbox):

From: Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>
To: anibal@debian.org, debian-release@lists.debian.org, 400952@bugs.debian.org, 341140@bugs.debian.org
Cc: Javier Fernandez-Sanguino Pe?a <jfs@debian.org>, Mark Brown <broonie@debian.org>
Subject: Re: Bug#400952: rc order of portmap,nis,autofs
Date: Thu, 25 Jan 2007 01:17:18 +0100
[Message part 1 (text/plain, inline)]
Hi Luk,

> So, that's something we don't want to do, certainly not at this stage of
> the release cycle.
> 
> What's wrong with Steinar's suggestion to change the name of the autofs
> script to be something between 19nis and 20apache?

conclusion first: If that's the ultimate response of the release team, I'll
accept it.

But IMO this solution is an ugly hack and highly counterintuitive - init
scripts are config files after all, and if I wanted to adapt a package's
initscript to my needs, I'd expect to find it at /etc/init.d/${package},
not /etc/init.d/zz${package} or the like.

Here's a small analysis to support my cause, done on yesterday's i386 Sid.
This is only the result, the log can be found here[1].

* There are currently 16 packages that relate in any way to the portmap
  package (including even Recommends and Suggests, and passing over main,
  contrib and non-free (the latter two containing none)).
* Of these, 12 provide an initscript.
* 11 of these 12 install theirs with a priority at or above 20, the only
  exception being nis at 19; none of these will be affected by the proposed
  change.

Add to that the fact that we are moving the portmap script to a lower value,
so the only type of problem could be services that conflict with the portmap
daemon starting earlier... OTOH the portmapper is usually already started in
rcS, so any conflicts of this kind should have surfaced years ago.

I can understand your reluctance to accept such a change at this time, but I
think it is unjustified in this case. Hacking around the alphabetical order
of init scripts by arbitrary renaming seems like the Wrong Thing[tm] to
me... and I can see no danger at all of causing RC (or any other) bugs. I'll
prepare an upload nonetheless, in case you insist.


Regards,

Jan

[1] http://www-pool.math.tu-berlin.de/~hesso/portmap_relations.html
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#400952; Package portmap. Full text and rfc822 format available.

Acknowledgement sent to "Steinar H. Gunderson" <sgunderson@bigfoot.com>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #54 received at 400952@bugs.debian.org (full text, mbox):

From: "Steinar H. Gunderson" <sgunderson@bigfoot.com>
To: Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>
Cc: anibal@debian.org, debian-release@lists.debian.org, 400952@bugs.debian.org, 341140@bugs.debian.org, Javier Fernandez-Sanguino Pe?a <jfs@debian.org>, Mark Brown <broonie@debian.org>
Subject: Re: Bug#400952: rc order of portmap,nis,autofs
Date: Thu, 25 Jan 2007 01:19:33 +0100
On Thu, Jan 25, 2007 at 01:17:18AM +0100, Jan Christoph Nordholz wrote:
> But IMO this solution is an ugly hack and highly counterintuitive - init
> scripts are config files after all, and if I wanted to adapt a package's
> initscript to my needs, I'd expect to find it at /etc/init.d/${package},
> not /etc/init.d/zz${package} or the like.

You don't need to rename the /etc/init.d file, just the symlink in
/etc/rc?.d.

/* Steinar */
-- 
Homepage: http://www.sesse.net/



Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#400952; Package portmap. Full text and rfc822 format available.

Acknowledgement sent to Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #59 received at 400952@bugs.debian.org (full text, mbox):

From: Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>
To: anibal@debian.org, debian-release@lists.debian.org, 400952@bugs.debian.org, 341140@bugs.debian.org, Javier Fernandez-Sanguino Pe?a <jfs@debian.org>, Mark Brown <broonie@debian.org>
Subject: Re: Bug#400952: rc order of portmap,nis,autofs
Date: Thu, 25 Jan 2007 01:50:03 +0100
[Message part 1 (text/plain, inline)]
On Thu, Jan 25, 2007 at 01:19:33AM +0100, Steinar H. Gunderson wrote:
> You don't need to rename the /etc/init.d file, just the symlink in
> /etc/rc?.d.

Sure, if I reimplemented the update-rc.d functionality in postinst,
which I'm not very fond of either. Maybe it's worth it, to keep the
hack as minimal as possible... but we're bending policy 9.3 here.


Regards,

Jan
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#400952; Package portmap. Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #64 received at 400952@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: Aníbal Monsalve Salazar <anibal@debian.org>
Cc: debian-release@lists.debian.org, Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>, Javier Fernandez-Sanguino Peña <jfs@debian.org>, Mark Brown <broonie@debian.org>, 400952@bugs.debian.org, 341140@bugs.debian.org
Subject: Re: Bug#400952: rc order of portmap,nis,autofs
Date: Thu, 25 Jan 2007 01:35:20 +0000
[Message part 1 (text/plain, inline)]
This one time, at band camp, Aníbal Monsalve Salazar said:
> On Fri, Jan 05, 2007 at 02:27:35AM +0100, Jan Christoph Nordholz wrote:
> 
> >The present situation forces all users of nis&autofs to manually
> >shuffle their init scripts around, and this is a very common
> >setup... Moving autofs to start later (i.e. at 20) is probably
> >unwise (as explained earlier), although this seems to be what most
> >users currently do as a workaround.
> >
> >Maybe we should talk with the release team to get this in?
> 
> If the release team approves that change we'll change portmap to
> start at S17 as already suggested by Javier, see #400952 [0].

I may be missing something, but why does it need to be moved?  It starts
in rcS as well as rc2, so this should only ever be an issue in the rare
cases when you have to switch to runlevel 1 and back, right?  This seems
like a rare enough occurence I'm not sure it's worth worrying about too
much, but I may be missing something here.
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#400952; Package portmap. Full text and rfc822 format available.

Acknowledgement sent to Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #69 received at 400952@bugs.debian.org (full text, mbox):

From: Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>
To: Aníbal Monsalve Salazar <anibal@debian.org>, debian-release@lists.debian.org, Javier Fernandez-Sanguino Peña <jfs@debian.org>, Mark Brown <broonie@debian.org>, 400952@bugs.debian.org, 341140@bugs.debian.org
Subject: Re: Bug#400952: rc order of portmap,nis,autofs
Date: Thu, 25 Jan 2007 03:26:51 +0100
[Message part 1 (text/plain, inline)]
On Thu, Jan 25, 2007 at 01:35:20AM +0000, Stephen Gran wrote:
> I may be missing something, but why does it need to be moved?  It starts
> in rcS as well as rc2, so this should only ever be an issue in the rare
> cases when you have to switch to runlevel 1 and back, right?  This seems
> like a rare enough occurence I'm not sure it's worth worrying about too
> much, but I may be missing something here.

Hi Stephen,

the present situation has portmap at 18 and autofs and nis at 19; this is
a problem even at normal bootup. Nis moving to 18 would improve things,
but not fix them wholly for systems which switch to single-user and back -
and that's where we are, discussing whether portmap may move its multiuser
runlevel script to 17 so that nis could follow to 18.


Regards,

Jan
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#400952; Package portmap. Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@debian.org>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #74 received at 400952@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: Aníbal Monsalve Salazar <anibal@debian.org>, debian-release@lists.debian.org, Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>, Javier Fernandez-Sanguino Peña <jfs@debian.org>, 400952@bugs.debian.org, 341140@bugs.debian.org
Subject: Re: Bug#400952: rc order of portmap,nis,autofs
Date: Thu, 25 Jan 2007 08:57:44 +0000
[Message part 1 (text/plain, inline)]
On Thu, Jan 25, 2007 at 01:35:20AM +0000, Stephen Gran wrote:

> I may be missing something, but why does it need to be moved?  It starts
> in rcS as well as rc2, so this should only ever be an issue in the rare

The more noticable issue is the collision between nis and autofs.  Both
run at level 19, neither runs in rcS.d and autofs is frequently used
with NIS maps so wants NIS to be started before it.  It's this that
drives moving portmap.

> cases when you have to switch to runlevel 1 and back, right?  This seems
> like a rare enough occurence I'm not sure it's worth worrying about too
> much, but I may be missing something here.

I worry that while this is a rarely used feature the people who use NIS
are more likely than most to be among those who do so.

-- 
"You grabbed my hand and we fell into it, like a daydream - or a fever."
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#400952; Package portmap. Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #79 received at 400952@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: debian-release@lists.debian.org
Cc: Aníbal Monsalve Salazar <anibal@debian.org>, Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>, Javier Fernandez-Sanguino Peña <jfs@debian.org>, 400952@bugs.debian.org, 341140@bugs.debian.org
Subject: Re: Bug#400952: rc order of portmap,nis,autofs
Date: Thu, 25 Jan 2007 12:43:15 +0000
[Message part 1 (text/plain, inline)]
This one time, at band camp, Mark Brown said:
> On Thu, Jan 25, 2007 at 01:35:20AM +0000, Stephen Gran wrote:
> 
> > I may be missing something, but why does it need to be moved?  It starts
> > in rcS as well as rc2, so this should only ever be an issue in the rare
> 
> The more noticable issue is the collision between nis and autofs.  Both
> run at level 19, neither runs in rcS.d and autofs is frequently used
> with NIS maps so wants NIS to be started before it.  It's this that
> drives moving portmap.

OK, I understood this as solely a portmap issue, so that clarifies for
me.

> > cases when you have to switch to runlevel 1 and back, right?  This seems
> > like a rare enough occurence I'm not sure it's worth worrying about too
> > much, but I may be missing something here.
> 
> I worry that while this is a rarely used feature the people who use NIS
> are more likely than most to be among those who do so.

Yes, I suppose this is probably true.  My memories of NIS do involve
some single user mode work :)
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#400952; Package portmap. Full text and rfc822 format available.

Acknowledgement sent to Michel Lespinasse <walken@vmware.com>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #84 received at 400952@bugs.debian.org (full text, mbox):

From: Michel Lespinasse <walken@vmware.com>
To: 400952@bugs.debian.org
Subject: rc order of portmap,nis,autofs
Date: Wed, 21 Feb 2007 18:05:33 -0800
I did hit the same issue at work - autofs worked fine as I just
installed the packages, then broke at soon as I rebooted. Yuck!

As noted earlier the main issue is that nis and autofs are both at
priority 19 currently. Seems like we should at least start by moving
nis to priority 18, since that will be required either way.

Moving portmap to priority 17 seems like a good thing too but I would
not mind as stongly about it getting done for etch or not.

In my installation I just moved portmap to 17 and nis to 18 and got
things working. This is what seemed the most natural fix to me (before
I found out about this bug and even heard about portmap being started
in rcS). Either way, I hope etch will at least move nis to priority 18.

Thanks,

-- 
Michel "Walken" Lespinasse
A program is never fully debugged until the last user dies.



Blocking bugs of 418056 added: 400952 Request was from Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de> to control@bugs.debian.org. (Sat, 07 Apr 2007 11:42:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#400952; Package portmap. Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@sirena.org.uk>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #91 received at 400952@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@sirena.org.uk>
To: 400952@bugs.debian.org
Subject: Portmap startup ordering
Date: Thu, 19 Apr 2007 20:24:42 +0100
[Message part 1 (text/plain, inline)]
Now that etch is out would it be possible to adjust the priority of the
portmap init script so that it starts earlier?

Thanks.

-- 
"You grabbed my hand and we fell into it, like a daydream - or a fever."
[signature.asc (application/pgp-signature, inline)]

Reply sent to Anibal Monsalve Salazar <anibal@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mark Brown <broonie@sirena.org.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #96 received at 400952-close@bugs.debian.org (full text, mbox):

From: Anibal Monsalve Salazar <anibal@debian.org>
To: 400952-close@bugs.debian.org
Subject: Bug#400952: fixed in portmap 6.0-0
Date: Fri, 11 May 2007 10:32:06 +0000
Source: portmap
Source-Version: 6.0-0

We believe that the bug you reported is fixed in the latest version of
portmap, which is due to be installed in the Debian FTP archive:

portmap_6.0-0.diff.gz
  to pool/main/p/portmap/portmap_6.0-0.diff.gz
portmap_6.0-0.dsc
  to pool/main/p/portmap/portmap_6.0-0.dsc
portmap_6.0-0_i386.deb
  to pool/main/p/portmap/portmap_6.0-0_i386.deb
portmap_6.0.orig.tar.gz
  to pool/main/p/portmap/portmap_6.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 400952@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Anibal Monsalve Salazar <anibal@debian.org> (supplier of updated portmap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 11 May 2007 18:22:42 +1000
Source: portmap
Binary: portmap
Architecture: source i386
Version: 6.0-0
Distribution: unstable
Urgency: low
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Changed-By: Anibal Monsalve Salazar <anibal@debian.org>
Description: 
 portmap    - The RPC portmapper
Closes: 400952
Changes: 
 portmap (6.0-0) unstable; urgency=low
 .
   * New upstream release.
   * debian/watch: added.
   * debian/control: added homepage to description.
   * debian/rules: portmap starts at level 17. Closes: #400952.
   * debian/postinst: fixed typo.
Files: 
 3ec9ad694f525edaf36ac4618a2152c4 636 net standard portmap_6.0-0.dsc
 ac108ab68bf0f34477f8317791aaf1ff 22251 net standard portmap_6.0.orig.tar.gz
 e8a45ae7920e92c07347f20bd3a3f3bb 19961 net standard portmap_6.0-0.diff.gz
 1745d2edb4fdb53975fe6349cf3e3950 32484 net standard portmap_6.0-0_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGREJ9ipBneRiAKDwRAmbkAJ0bRZnahyZP1NEeKrxAM6A4WgFDAwCgsp5O
VoCiJ1NCM0vmk90MzrYjSTo=
=zo9+
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 12 Jul 2007 07:43:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:08:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.